<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:fresco="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:id="@+id/container"
        android:layout_width="@dimen/default_dialog_width"
        android:layout_height="wrap_content"
        android:background="@drawable/background_shape_white_radius_5"
        android:orientation="vertical"
        android:padding="24dp"
        fresco:layout_constraintLeft_toLeftOf="parent"
        fresco:layout_constraintRight_toRightOf="parent"
        fresco:layout_constraintTop_toTopOf="parent">

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/game_icon"
            android:layout_width="64dp"
            android:layout_height="64dp"
            android:layout_gravity="center" />

        <TextView
            android:id="@+id/gameNameTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="14dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_primary"
            android:textSize="13sp"
            android:textStyle="bold"
            tools:text="光环助手" />

        <TextView
            android:id="@+id/urlTv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:background="@drawable/bg_shape_f5_radius_3"
            android:gravity="center"
            android:includeFontPadding="false"
            android:lineSpacingExtra="4dp"
            android:padding="16dp"
            android:textColor="@color/text_primary"
            android:textSize="13sp"
            tools:text="http://static.wallbroken.com/p/7eb04605hc12e1346773583n.apk" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="14dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="4dp"
            android:text="@string/oversea_hint"
            android:textColor="@color/text_secondary"
            android:textSize="13sp" />

        <TextView
            android:id="@+id/downloadBtn"
            style="@style/PrimaryGradientButton"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="22dp"
            android:layout_weight="1"
            android:gravity="center"
            android:text="继续下载"
            android:textSize="14sp" />
    </LinearLayout>

    <ImageView
        android:id="@+id/closeIv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:padding="12dp"
        android:src="@drawable/ic_close_oversea"
        fresco:layout_constraintRight_toRightOf="@id/container"
        fresco:layout_constraintTop_toTopOf="@id/container" />

</androidx.constraintlayout.widget.ConstraintLayout>